name: Build PCHL
run-name: Building pchl using astro and pocketbase
on: 
  push:
    tags:
      - 'v*.*'

jobs:
  build:
    runs-on: ubuntu-22.04
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - run: echo "💡 The ${{ gitea.repository }} repository has been cloned to the runner."

      - name: Setup Docker Buildx
        uses: docker/setup-buildx-action@v1

      - name: Build pchl using Dockerfile
        uses: docker/build-push-action@v2
        with:
          context: .
          file: ./Dockerfile
          load: true
          tags: pchl:${{ gitea.ref_name }},pchl:${{ gitea.sha }}
